s9_level_hints.levels["Level 2"] = function()
	return
	{
		miniscenes
		({
			level02_miniscene_refuse_bin = 
			{
				miniscene("refuse_bin")
			},
			level02_miniscene_box_tools = 
			{
				miniscene("tools_box")
			}
		}),
		
		take("Coin10"),
		take("Coin03"),
		take("Coin04"),
		take("Coin05"),
		take("Coin07"),
		take("Coin08"),
		
		IF(on_level("Coin09"),
		{
			IF(state("Paper", "paper01"), click("Paper")),
			IF(NOT(state("Paper", "paper01")), take("Coin09"))
		}),
		IF(on_level("Coin11"),
		{
			IF(state("Daily01", "daily01_01"), click("Daily01")),
			IF(NOT(state("Daily01", "daily01_01")), take("Coin11"))
		}),		
		
		take("Brick"),
		IF(NOT(on_level("Brick")), take("Coin12")),
		
		
		on_scene("level02_miniscene_refuse_bin", 
		{
			take("Stick"),
			take("Coin02")
		}),
		click("Ship", "Stick"),
		take("Coin13"),
		
		click("area_potato"),
		take("Coin01"),
		on_scene("level02_miniscene_box_tools",
		{
			take("Saw"),
			take("Crow_bar")
		}),
		click("Hatch", "Crow_bar"),
		IF(state("Hatch", "hatch02"), take("Coin06")),
		
		on_scene("level02_miniscene_refuse_bin", 
		{
			click("Mini_Bottle", "Brick"),
			take("Band_saw"),
		}),
		click("area_grate", "Saw02"),
		IF(state("Grate","grate02"), minigame("area_grate")),
		
		IF(state_in_inv("Coin_inv", "coin_inv25"), click("area_granny", "Coin_inv"))
	}	
end
